summaryrefslogtreecommitdiffstats
path: root/bash/tools/creating_data
diff options
context:
space:
mode:
authorPiotr Perzanowski <p.perzanowsk@samsung.com>2018-12-18 14:17:49 +0100
committerPiotr Perzanowski <p.perzanowsk@samsung.com>2018-12-18 14:17:49 +0100
commit7262f94536e1aa308cfbaf0eaa163780de3a85ee (patch)
tree230408b63cc1235f2be49a398e80d1b020270530 /bash/tools/creating_data
parentaa583bbb9401798a2c90624a169a98e9dad1ba7f (diff)
Providing download-npm-pkgs.
This script will download required npm packages from proper list. Change-Id: I0f54ee31f54bf54de24e24991e8efc585036a006 Issue-ID: OOM-1551 Signed-off-by: Piotr Perzanowski <p.perzanowsk@samsung.com>
Diffstat (limited to 'bash/tools/creating_data')
-rw-r--r--bash/tools/creating_data/download-npm-pkgs.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/bash/tools/creating_data/download-npm-pkgs.sh b/bash/tools/creating_data/download-npm-pkgs.sh
new file mode 100644
index 00000000..00737f2c
--- /dev/null
+++ b/bash/tools/creating_data/download-npm-pkgs.sh
@@ -0,0 +1,36 @@
+# COPYRIGHT NOTICE STARTS HERE
+#
+# Copyright 2018 © Samsung Electronics Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# COPYRIGHT NOTICE ENDS HERE
+LIST_FILE="$1"
+if [[ -z "$LIST_FILE" ]]; then
+ LIST_FILE="all_npm_list.txt"
+fi
+outdir="$2"
+if [[ -z "$outdir" ]]; then
+ echo "Missing arg outdir"
+ exit 1
+fi
+mkdir -p "$outdir"
+cd "$outdir"
+lines=$(cat "$LIST_FILE" | wc -l)
+cnt=1
+while read -r line; do
+ echo "== pkg #$cnt of $lines =="
+ # yallist@2.1.2
+ npm pack $line
+ cnt=$((cnt+1))
+done < "$LIST_FILE" \ No newline at end of file